## org.apache.xerces.impl.dtd.models
Class CMUniOp

    java.lang.Object
      org.apache.xerces.impl.dtd.models.CMNode
          org.apache.xerces.impl.dtd.models.CMUniOp

    public class CMUniOp

extends CMNode

Content model Uni-Op node.

Version:
  $Id: CMUniOp.java 320090 2004-10-04 22:00:42Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`CMUniOp(int type, CMNode childNode)`

Method Summary
`protected void` `calcFirstPos(CMStateSet toSet)`
`protected void` `calcLastPos(CMStateSet toSet)`
`boolean` `isNullable()`

Methods inherited from class org.apache.xerces.impl.dtd.models.CMNode
`firstPos, lastPos, setMaxStates, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMUniOp

    public CMUniOp(int type,
                   CMNode childNode)

Method Detail

### isNullable

    public boolean isNullable()

  Specified by:
    `isNullable` in class `CMNode`

### calcFirstPos

    protected void calcFirstPos(CMStateSet toSet)

  Specified by:
    `calcFirstPos` in class `CMNode`

### calcLastPos

    protected void calcLastPos(CMStateSet toSet)

  Specified by:
    `calcLastPos` in class `CMNode`

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.